# $Revision: 1.11 $, $Date: 2002/03/03 13:04:54 $
Summary:	Rael's Binary Grabber
Summary(pl):	cigacz binariw Raela
Name:		bgrab
Version:	1.3.6
Release:	2
License:	Free
Group:		Networking/News
Source0:	http://www.student.dtu.dk/~c960941/bgrab/%{name}-%{version}.tgz
Patch0:		%{name}-noreplace.patch
Patch1:		%{name}-regex.h.patch
URL:		http://www.student.dtu.dk/~c960941/bgrab/
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this program is to automate the downloading of binary
attachments from UseNet Newsgroups. Given a group name, this program
will connect to a news server, read all messages in that group and
extract any binary attachments included in any of those messages
(including multipart attachments). This program does not require any
keyboard interaction and could be fairly easily scheduled to run from
crond.

%description -l pl
Celem tego programu jest automatyczne ciganie binarnych zacznikw
z grup usenetowych. Po podaniu nazwy grupy program czy si z
serwerem news, czyta wszystkie wiadomoci z grupy i wyciga z nich
wszelkie binarne zaczniki (take wieloczciowe). Program ten nie
wymaga interakcji i moe by w prosty sposb uywany z crona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
chmod 755 configure

%build
CPPFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -I%{_includedir}/ncurses"
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -I%{_includedir}/ncurses"
CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"
%configure

%{__make} CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions  -I%{_includedir}/ncurses"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install bgrab $RPM_BUILD_ROOT%{_bindir}

gzip -9nf COPYING README*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bgrab.spec,v $
Revision 1.11  2002/03/03 13:04:54  marcus
- addedd CXXFLAGS to %%{__make} to avoid compile problems

Revision 1.10  2002/03/03 11:04:58  kloczek
- release 2.

Revision 1.9  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/09 14:35:40  qboosh
- pl translations

Revision 1.6  2001/05/02 02:43:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2001/02/09 20:46:07  kloczek
- added full Source url,
- added Buildrequires rules.

Revision 1.4  2001/02/09 20:31:52  kloczek
- spec adapterized and make %%{debug} ready.

Revision 1.3  2001/02/09 19:54:34  baggins
- updated to 1.3.6

Revision 1.2  2000/09/01 14:54:51  baggins
- release 2
- added noreplace patch

Revision 1.1  2000/08/16 12:25:39  baggins
- initial revision
